Op (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol.datatransfer, enum: Op

Package org.apache.hadoop.hdfs.protocol.datatransfer

# Enum Class Op

java.lang.Object
java.lang.Enum<Op>
org.apache.hadoop.hdfs.protocol.datatransfer.Op

All Implemented Interfaces:
  `Serializable`, `Comparable<Op>`, `Constable`

@Private @Evolving public enum Op extends Enum<Op>
Operation

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCK_CHECKSUM`
  `BLOCK_GROUP_CHECKSUM`
  `COPY_BLOCK`
  `CUSTOM`
  `READ_BLOCK`
  `READ_METADATA`
  `RELEASE_SHORT_CIRCUIT_FDS`
  `REPLACE_BLOCK`
  `REQUEST_SHORT_CIRCUIT_FDS`
  `REQUEST_SHORT_CIRCUIT_SHM`
  `TRANSFER_BLOCK`
  `WRITE_BLOCK`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final byte`
  `code`
  The code for this operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Op`
  `read(DataInput in)`
  Read from in
  `static Op`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Op[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `void`
  `write(DataOutput out)`
  Write to out

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WRITE_BLOCK

    public static final Op WRITE_BLOCK

  - ### READ_BLOCK

    public static final Op READ_BLOCK

  - ### READ_METADATA

    public static final Op READ_METADATA

  - ### REPLACE_BLOCK

    public static final Op REPLACE_BLOCK

  - ### COPY_BLOCK

    public static final Op COPY_BLOCK

  - ### BLOCK_CHECKSUM

    public static final Op BLOCK_CHECKSUM

  - ### TRANSFER_BLOCK

    public static final Op TRANSFER_BLOCK

  - ### REQUEST_SHORT_CIRCUIT_FDS

    public static final Op REQUEST_SHORT_CIRCUIT_FDS

  - ### RELEASE_SHORT_CIRCUIT_FDS

    public static final Op RELEASE_SHORT_CIRCUIT_FDS

  - ### REQUEST_SHORT_CIRCUIT_SHM

    public static final Op REQUEST_SHORT_CIRCUIT_SHM

  - ### BLOCK_GROUP_CHECKSUM

    public static final Op BLOCK_GROUP_CHECKSUM

  - ### CUSTOM

    public static final Op CUSTOM

- ## Field Details

  - ### code

    public final byte code
    The code for this operation.

- ## Method Details

  - ### values

    public static Op[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Op valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### read

    public static Op read(DataInput in) throws IOException
    Read from in
    Throws:
      `IOException`

  - ### write

    public void write(DataOutput out) throws IOException
    Write to out
    Throws:
      `IOException`